Subject: Re: [Mip4] [Technical Errata Reported] RFC5944 (3116)

From: Pearl Liang <[email-masked]>
Date: Tue, 17 Apr 2012 11:45:54 -0700

Hello Ralph and Brian,

It appears that this erratum is not yet verified.  Can you verify this
erratum?

Thank you,
~pearl

-----Original Message-----
From: Henrik Levkowetz <[email-masked]>
Date: Thursday, February 9, 2012 9:17 AM
To: RFC Errata System <[email-masked]>
Cc: "[email-masked]" <[email-masked]>,
"[email-masked]" <[email-masked]>, "[email-masked]"
<[email-masked]>, "[email-masked]"
<[email-masked]>, "[email-masked]" <[email-masked]>, pearl
liang <[email-masked]>, "[email-masked]" <[email-masked]>
Subject: Re: [Technical Errata Reported] RFC5944 (3116)

>Hi,
>
>The errata seems right to me.
>
>Best regards,
>
>	Henrik
>
>On 2012-02-07 23:46 RFC Errata System said:
>> The following errata report has been submitted for RFC5944,
>> "IP Mobility Support for IPv4, Revised".
>> 
>> --------------------------------------
>> You may review the report below and at:
>> http://www.rfc-editor.org/errata_search.php?rfc=5944&eid=3116
>> 
>> --------------------------------------
>> Type: Technical
>> Reported by: Pearl Liang <[email-masked]>
>> 
>> Section: 3.7.2
>> 
>> Original Text
>> -------------
>> Section 3.7.2 "Receiving Registration Requests" says:
>> 
>> 
>> 
>> Otherwise, if the foreign agent does not serve the mobile node as a home
>> 
>> agent,
>> 
>>    the foreign agent rejects the Registration Request with Code 194
>> 
>>    (Invalid Home Agent Address).
>> 
>> 
>> 
>> Another entry for "Invalid Home Agent Address" is indicated in Section
>>3.4: 
>> 
>> 
>> 
>>         194 Invalid Home Agent Address
>> 
>> 
>> 
>> 
>> 
>> 
>> 
>> Corrected Text
>> --------------
>> For Section 3.7.2 "Receiving Registration Requests", it should say:
>> 
>> 
>> 
>> Otherwise, if the foreign agent does not serve the mobile node as a home
>> 
>> agent,
>> 
>> the foreign agent rejects the Registration Request with Code 116
>> 
>> (Invalid Home Agent Address).
>> 
>> 
>> 
>> For the entry for "Invalid Home Agent Address" in Section 3.4, it
>>should say:
>> 
>> 
>> 
>>         116 Invalid Home Agent Address
>> 
>> Notes
>> -----
>> The Code 194 was incorrectly registered under the range for Error Codes
>>from the Foreign Agent (64-127).  The mobile note (Invalid Home Agent
>>Address) is a registration under denied by the foreign agent, and so the
>>mobile note should be changed to the Code 116 for Invalid Home Agent
>>Address in the range for Error Codes from the Foreign Agent.  The Code
>>194 has been reserved in the range for Error Codes from the Gateway
>>Foreign Agent (194-200).
>> 
>> Instructions:
>> -------------
>> This errata is currently posted as "Reported". If necessary, please
>> use "Reply All" to discuss whether it should be verified or
>> rejected. When a decision is reached, the verifying party (IESG)
>> can log in to change the status and edit the report, if necessary.
>> 
>> --------------------------------------
>> RFC5944 (draft-ietf-mip4-rfc3344bis-10)
>> --------------------------------------
>> Title               : IP Mobility Support for IPv4, Revised
>> Publication Date    : November 2010
>> Author(s)           : C. Perkins, Ed.
>> Category            : PROPOSED STANDARD
>> Source              : Mobility for IPv4
>> Area                : Internet
>> Stream              : IETF
>> Verifying Party     : IESG
>> 
>